#include <iostream>
using namespace std;

int main()
{
    int n,k,c;
    cin>>n>>k;
    int a[n];
    for (int i=0;i<n;i++)
    {
        cin>>a[i];
        if (a[i]==k)
        {
            c=i+1;
            if (i==n-1)
            {
                c=0;
            }
        }
    }
    cout<<a[c];

    return 0;
}